function main() {

(function () {
   'use strict';

    $('.flouting').click(function() {
      $('body').addClass('overflow');
      $('.wrapper-right-block').fadeIn();
      $(this).fadeOut();
    });
    $('.close').click(function() {
      $('body').removeClass('overflow');
      $('.wrapper-right-block').fadeOut();
      $('.flouting').fadeIn();
    });

    /* Scroll to top */
    $(document).scroll(function() {
      var $toTop = $('#totop');
      if ($(this).scrollTop() > 100) {
        $toTop.fadeIn();
      } else {
        $toTop.fadeOut();
      }
    });

    $(document).on('click', "a[href='#totop']", function(e) {
      e.preventDefault();
      $("html, body").animate({ scrollTop: 0 }, "slow");
    });
    
    $('.btn-subscribe').on('click', function() {
      if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {

        var target = $(this.hash);

        if (target.length > 0) {

          target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
          $('html,body').animate({
            scrollTop: target.offset().top
          }, 1000);
          return false;
        }
      }
    });

}());


}
main();
